EDIT - bug #8023

IndexOutOfBoundsException caused by RegistrationWorkingSet.getRegistrationDate()
01/28/2019 12:48 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%

Category: cdmlib-remote Estimated time: 0:00 hour

Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

[palmae] 2019-01-26 14:55:24,420 INFO [gtpl012570586-3113] [eu.etaxonomy.cdm.remote.controller.Reg
istrationDTOController] - doGetRegistrationWorkingSet () GET: /palmae/registrationWorkingSetDTO/079

3ad2a-8ebd-4245-84ac-2£0a053d4ebe

Caused by: net.sf.json.JSONException: java.lang.reflect.InvocationTargetException

at net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:818)

at net.sf.json.JSONObject._fromBean (JSONObject.java:699)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:128)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:188)

at org.springframework.web.servlet.DispatcherServlet.render (DispatcherServlet.java:1243)

at org.springframework.web.servlet.DispatcherServlet.processDispatchResult (DispatcherServl
et.java:1027)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:971

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)
at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:9
69)
... 61 more
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.GeneratedMethodAccessorl3306.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.apache.commons.beanutils.PropertyUtilsBean.invokeMethod (PropertyUtilsBean. java:2116

at org.apache.commons.beanutils.PropertyUtilsBean.getSimpleProperty (PropertyUtilsBean. java
:1267)

at org.apache.commons.beanutils.PropertyUtilsBean.getNestedProperty (PropertyUtilsBean. java
:808)

at org.apache.commons.beanutils.PropertyUtilsBean.getProperty (PropertyUtilsBean. java:884)

at org.apache.commons.beanutils.PropertyUtils.getProperty (PropertyUtils. java:464)

at net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:749)

... 70 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 0, Size: O

at java.util.ArrayList.rangeCheck (ArrayList.java:653)

at java.util.ArrayList.get (ArrayList.java:429)

at eu.etaxonomy.cdm.api.service.dto.RegistrationWorkingSet.getRegistrationDate (Registratio
nWorkingSet. java:202)

79 more

History

#1 - 10/26/2021 06:01 PM - Andreas Miuller

- Assignee set to Andreas Kohlbecker

Is this still an open issue? If yes please add category and adapt assignee and or target version.

#2 - 11/23/2021 10:57 PM - Andreas Miuller
Andreas Muller wrote:

Is this still an open issue? If yes please add category and adapt assignee and or target version.
#3 - 11/24/2021 10:22 AM - Andreas Kohlbecker

- Category set to cdmlib-remote
